# ParsersEngineResults

A parsersEngineResults instance is returned by the parsers engine execution.

Example:

```typescript
const results: ParsersEngineResults = await SDTFClient.createParsersPipelines({ ... })()
```

## Properties

### all

This getter returns the raw results of the parser pipelines execution.

```typescript
get all: Array<ParsersEngineResult>;
```

### hasError

This getter returns a boolean indicating whether any of the pipelines returned an error.

```typescript
get hasError: boolean;
```

### hasWarning

This getter returns a boolean indicating whether any of the pipelines returned warnings.

```typescript
get hasWarning: boolean;
```

### allErrorMessages

This getter gathers the error messages from all the pipelines.

```typescript
get allErrorMessages: ParsersEngineErrorMessage[];
```

### allWarningMessages

This getter gathers the warning messages from all the pipelines.

```typescript
get allWarningMessages: ParsersEngineWarningMessage[];
```

### allInformationMessages

This getter gathers the information messages from all the pipelines.

```typescript
get allInformationMessages: ParsersEngineInformationMessage[];
```

## Methods

### logErrorMessages

This method prints error messages to the console.

```typescript
logErrorMessages(): void;
```

### logWarningMessages

This method prints warning messages to the console.

```typescript
logWarningMessages(): void;
```

### logInformationMessages

This method prints information messages to the console.

```typescript
logInformationMessages(): void;
```

### debug

This method prints a summary of the execution results to the console.

```typescript
debug(options?: {
    withOutputContent?: boolean;
}): void;
```

### mapOutput

This method maps over any output of the parsers. It is quite convenient if you want to run some post-process on the output.

```typescript
mapOutput(fn: (output: ParserOutput | null) => ParserOutput | null | void): this;
```

### mapFiles

This method maps over output files. It is quite convenient if you want to run some post-process on the files.

```typescript
mapFiles(fn: (file: FilesOutput['files'][number]) => FilesOutput['files'][number] | void): this;
```

### writeToDisk

This method writes the outputs of the parsers to the file system.

```typescript
writeToDisk(directoryPath?: string): Promise<{
    errors: Array<any>;
    outputPaths: Array<string>;
}>;
```

### serialize

This method serializes the results before HTTP transmission.

```typescript
serialize(): SerializedParsersEngineResults;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specifyapp.com/reference/specify-sdk/parsers-engine-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
